/*
Theme Name:     Divi Child
Theme URI:      https://www.elegantthemes.com/gallery/divi/
Description:    Divi Child Theme
Author:         Elegant Themes
Author URI:     https://www.elegantthemes.com
Template:       Divi
Version:        1.0.0
*/

/* =Theme customization starts here
------------------------------------------------------- */



/****************************************
	Common Style
****************************************/

/* Divi Mail Form Style */
.et-pb-contact-message {
	text-align: center !important;
	font-size: 1.4em !important;
	font-weight: bold !important;
}
.et-pb-contact-message:has(ul) {
	display: none !important;
}


/****************************************
	Header Style
****************************************/

/* Header Menu Sticky Style */
header .et_pb_sticky .et-menu > .menu-item > a {
	padding-top: 0 !important;
	padding-bottom: 0 !important;
}

/* Header Dropdown Menu Style */
header .et-menu .sub-menu {
	margin-top: .5rem;
	border-radius: 1rem;
	transition: .3s ease-in-out;
}

/* Header Mobile Menu Style */
header .et_mobile_menu {
	margin-top: 1.5rem;
	border-radius: 1rem;
}


/****************************************
	Footer Style
****************************************/

footer .et-menu {
	display: flex !important;
	flex-wrap: wrap !important;
	flex-direction: column !important;
}
/* footer .et-menu .sub-menu {
	position: relative !important;
	visibility: visible !important;
	opacity: 1 !important;
	border: none !important;
	top: 0 !important;
	left: 0 !important;
} */

@media screen and (max-width: 980px) {
	footer .et_pb_menu__wrap {
		-webkit-box-pack: start !important;
		-ms-flex-pack: start !important;
		justify-content: flex-start !important;
	}
	footer .et_pb_menu__menu {
		display: block !important;
	}
	footer .et_mobile_nav_menu {
		display: none !important;
	}
}

/* Social Media Icon Style */
.footer-sm-area p {
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 1rem;
}
.footer-sm-area p a {
	display: inline-block;
}
.footer-sm-area p a .fa-brands {
	font-size: 1.4rem;
	transition: .3s ease-in-out;
}
.footer-sm-area p a .fa-instagram {
	color: #ea2b59;
}
.footer-sm-area p a .fa-facebook {
	color: #3c5997;
}
.footer-sm-area p a .redbook-logo {
	width: auto;
	height: 1.2rem;
	display: block;
	object-fit: cover;
	transition: .3s ease-in-out;
}
.footer-sm-area p a:hover .fa-brands,
.footer-sm-area p a:hover .redbook-logo {
	transform: scale(1.2);
	transition: .3s ease-in-out;
}


/****************************************
	CF7 Style
****************************************/

/* CF7 Common Style */
.wpcf7-form input[type="text"],
.wpcf7-form input[type="email"],
.wpcf7-form input[type="tel"],
.wpcf7-form textarea {
	transition: .3s ease-in-out !important;
}
.wpcf7-form input[type="text"]:focus,
.wpcf7-form input[type="email"]:focus,
.wpcf7-form input[type="tel"]:focus,
.wpcf7-form textarea:focus {
	border-color: #2f3854 !important;
	transition: .3s ease-in-out !important;
}
.wpcf7-form .wpcf7-spinner,
.wpcf7-form.sent>p {
	display: none !important;
}

/* CF7 Response Output Style */
.wpcf7-form.invalid .wpcf7-response-output,
.wpcf7-form.unaccepted .wpcf7-response-output,
.wpcf7-form.failed .wpcf7-response-output,
.wpcf7-form.aborted .wpcf7-response-output,
.wpcf7-form.spam .wpcf7-response-output,
.wpcf7-form.sent .wpcf7-response-output {
	margin-top: 2rem !important;
	border: .1rem solid #fff !important;
	border-radius: .3rem !important;
	text-align: center !important;
	font-weight: bold !important;
	color: #fff !important;
}
.wpcf7-not-valid-tip {
	color: #fff !important;
	font-size: 1rem !important;
	font-weight: bold !important;
}


/****************************************
	Bogo Style
****************************************/

/* Hide current page language */
.bogo-language-switcher .current {
	display: none !important;
}

/* Language Switcher & Floating Button */
.floating-button {
	padding: 0;
	width: 4rem;
	height: 4rem;
	position: fixed;
	bottom: 1rem;
	right: 1rem;
	border: none;
	border-radius: 50%;
	box-shadow: 0 0 .3rem 0 rgba(0, 0, 0, .3);
	outline: none;
	appearance: none;
	cursor: pointer;
	background-color: #fff;
	-webkit-tap-highlight-color: rgba(0, 0, 0, 0);
	z-index: 1000;
	transition: .3s ease-in-out;
}
.floating-button:hover {
	transform: scale(1.1);
	transition: .3s ease-in-out;
}
.floating-button .fa-language {
	font-size: 2rem;
	color: #000;
}
.bogo-language-switcher {
	padding: 1rem 2rem !important;
	display: flex;
	flex-direction: column;
	position: fixed;
	bottom: 6rem;
	right: 1rem;
	border-radius: .5rem;
	padding: 10px;
	box-shadow: 0 0 .3rem rgba(0, 0, 0, 0.3);
	background-color: #fff;
	opacity: 0;
	visibility: hidden;
	transform: translateY(1rem);
	transition: opacity .5s, transform .5s;
	z-index: 1000;
	row-gap: .5rem;
}
.bogo-language-switcher a {
	font-size: 1rem;
	color: #000 !important;
}
.bogo-language-switcher a[hreflang] {
	font-family: "Noto Sans", sans-serif;
	font-weight: bold;
	transition: .3s ease-in-out;
}
.bogo-language-switcher a[hreflang]:hover {
	opacity: .5;
	transition: .3s ease-in-out;
}